﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.IO;

/// <summary>
/// Classe per gestionar l’accés a la taula Client
/// </summary>

public class Client
{    
    
    // validem que el client existeix
    public static dynamic validarClient(string user) {
        var db = DadesAplicacio.DatabaseInstance;
        return db.QuerySingle("SELECT username FROM CLIENT WHERE  LOWER(username) =  LOWER(@0)", user);
    }
    
    // llegim les dades d'un client
    public static dynamic llegirClient(string user) {
        var db = DadesAplicacio.DatabaseInstance;
        return db.QuerySingle("SELECT * FROM CLIENT WHERE  LOWER(username) =  LOWER(@0)", user);
    }
    
    // donem d'alta un client a la base de dades
    public static void crearClient(string user, string id, string nom, string cognoms, string adre, string pobl, string cp, string tel, string mail) {
        var db = DadesAplicacio.DatabaseInstance;
        db.Execute("INSERT INTO CLIENT (username, DNI, nomClient, cognomsClient, adreca, codiPostal, poblacio, telefon, email, dataAlta, dataBaixa, Actiu) Values (@0, @1, @2, @3, @4, @5, @6, @7, @8, @9, @10, @11)", user, id, nom, cognoms, adre, cp, pobl, tel, mail, @DateTime.Today, @DateTime.Today, true);
    }
    
    // modifiquem les dades d'un client
    public static void modificarClient(int id, string dni, string nom, string cognoms, string adre, string cp, string pobl, string tel, string mail) {
        var db = DadesAplicacio.DatabaseInstance;
        db.Execute("UPDATE CLIENT Set DNI=@0, nomClient=@1, cognomsClient=@2, adreca=@3, codiPostal=@4, poblacio=@5, telefon=@6, email=@7 WHERE UserId=@8", dni, nom, cognoms, adre, cp, pobl, tel, mail, id);
    }
    
    // fiquem el camp Actiu a false, per indicar que aquest client ja no està actiu
     public static void baixaClient(int id) {
        var db = DadesAplicacio.DatabaseInstance;
        db.Execute("UPDATE CLIENT Set Actiu=@0 WHERE UserId=@1", false, id);       
    }
    
}



