﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.IO;

/// <summary>
/// Classe per gestionar l’accés a la taula detallTMP
/// </summary>

public class DetallCarrito
{
        
      // llegim tot el contingut de la base de dades temporal del detall de la compra
    public static dynamic llegirDetallTMP() {
        var db = DadesAplicacio.DatabaseInstance;
        return db.Query("SELECT * FROM detallTMP");        
    }
    
    // inserim a la base de dades temporal el producte seleccionat
    public static void crearDetallTMP(string id, string nom, int qua, float pre) {
        var db = DadesAplicacio.DatabaseInstance;
        db.Execute("INSERT INTO detallTMP (idProducte, nomProducte, quantitat, preu) Values (@0, @1, @2, @3)", id, nom, qua,pre);
    }
    
    // modifiquem de la base de dades temporal la quantitat demanada dels productes
    public static void modificarDetallTMP(string id, int qua) {        
        var db = DadesAplicacio.DatabaseInstance;
        db.Execute("UPDATE detallTMP Set quantitat=@0 WHERE idProducte=@1", qua, id);
    }
    
    // esborrem de la base de dades temporal una linea del detall
    public static void esborrarliniaDetallTMP(string id) {     
        var db = DadesAplicacio.DatabaseInstance;
        db.Execute("DELETE FROM detallTMP WHERE idProducte=@0", id);
    }
    
    // esborrem tot el contingut de la base de dades temporal
    public static void  esborrarDetallTMP() {        
        var db = DadesAplicacio.DatabaseInstance;
        db.Execute("DELETE detallTMP");
    }
    
    // inserim el detall de la compra a la base de dades definitiva
    public static void crearDetall(long idcom, string idpro, int qua) {
        var db = DadesAplicacio.DatabaseInstance;
        db.Execute("INSERT INTO DetallComanda (idComanda, idProducte, quantitat) Values (@0, @1, @2)", idcom, idpro, qua);
    }
    
    // llegim tot el contingut de la base de dades del detall de la comanda
    public static dynamic llegirDetall(long idcom) {
        var db = DadesAplicacio.DatabaseInstance;
        return db.Query("SELECT * FROM DetallComanda WHERE idComanda = @0", idcom);
    }
    
}



